%kmdl bmcsensors

%define realver 26

Summary: bmcsensors, a IPMI compatible driver for lm_sensors
Name: bmcsensors
Version: 20050320
Release: 0%{?dist}
License: GPL2
Group: Applications/Internet
URL: http://bmcsensors-26.sourceforge.net/
Source0: %{name}-%{version}.tar.bz2

# Patch0: bmcsensors-20050320-foo.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%kmdl_parentdependencies

%description
bmcsensors, a IPMI compatible driver for lm_sensors

%package -n %kmdl_name
%kmdl_dependencies
Summary: kernel modules for %{name}
Group: System Environment/Kernel

%description -n %kmdl_name
kernel modules for %{name}. See description for %{name} for further information.

%kmdl_desc

%prep
%setup -q -n bmcsensors-%{realver}

%build

%{__make} -C %{kmdl_kernelsrcdir} SUBDIRS=`pwd` modules


%install
mkdir -p %{buildroot}%{kmdl_moduledir}/kernel/drivers/i2c/{chips,busses}
install -m 644 i2c-ipmi.ko %{buildroot}%{kmdl_moduledir}/kernel/drivers/i2c/busses/i2c-ipmi.ko
install -m 644 bmcsensors.ko %{buildroot}%{kmdl_moduledir}/kernel/drivers/i2c/chips/bmcsensors.ko

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove


%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/*

%changelog
* Tue Feb 24 2009 Daniel B. <daniel@firewall-services.com> 20050320-0
- Initiale build


